#
# spec file for package gcc (Version 2.95.3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf dejagnu expect gettext tcl tetex texinfo tk
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db dejagnu devs diffutils e2fsprogs expect file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcl te_ams te_latex tetex texinfo textutils timezone tk unzip util-linux vim

Name:         gcc
Copyright:    GPL
Group:        Development
Provides:     c_compiler
Requires:     cpp binutils glibc-devel
Conflicts:    gcc_o gccfront
Autoreqprov:  on
Version:      2.95.3
Release:      136
Summary:      The GNU C compiler and support files
Buildroot:    /tmp/gcc-root
Source:       ftp://gcc.gnu.org/pub/gcc/releases/gcc-%{version}/gcc-%{version}.tar.gz
Source1:      libg++-2.8.1.3.tar.gz
%define  gpc_version 20010317
Source2:      ftp://agnes.dida.physik.uni-essen.de/gnu-pascal/alpha/gpc-%{gpc_version}.tar.gz
Source390:    gcc-2.95.3-s390.tar.gz
# Source8:      gcc-tests-20010205.tar.gz
Source99:	README.SuSE
Patch: gcc-2.95.2-complex.dif
Patch2: libobjc.diff
Patch3: gcc-include.diff
Patch4: ada.diff
Patch5: gpc.diff
# Patch7: pascal.diff
# Patch8: gcc-exception-fix.diff
Patch9: gcc-accept-doublecolon.diff
Patch10: gcc.disable-rerun.patch
Patch14: gcc-extension-warn.diff
Patch16: alpha-extra.diff
Patch20: gcc-2.95.3-version.diff
Patch21: weak.diff
Patch22: crtstuff.diff
Patch23: gcc-2.95.4-1.patch
Patch24: ppc.diff
Patch25: regmove.patch
Patch26: dso-handle.diff
Patch27: gcc-2953-inline-limit.diff
Patch50: gcc-2.95.3-to-cvs-for-ppc.diff
Patch51: cvs-2_95-branch-ppc.diff
Patch52: cvs-2_95-branch-ppc_zzz_version.diff
Patch390: gcc-2.95.3-s390-1.diff
Source391: gcc-2.95.3-s390-1.readme

%description
NOTE: Be sure to install at least the following packages besides this
one, or you won't be able to compile:  binutils and glibc-devel.
Compiled with support for g77 and pascal.

Authors:
--------
    Adam Fedor <fedor@colorado.edu>
    Alan Modra <alan@spri.levels.unisa.edu.au>
    Allen Briggs <briggs@rrinc.com>
    Andreas Schwab <schwab@suse.de>
    Andreas Jaeger <aj@suse.de>
    Andrew Cagney <cagney@highland.com.au>
    Andrew McCallum <mccallum@leopard.cs.rochester.edu>
    Arne H. Juul <arnej@idt.unit.no>
    Craig Burley <burley@gnu.ai.mit.edu>
    DJ Delorie <dj@delorie.co)m
    David Edelsohn <edelsohn@mhpcc.edu>
    Doug Evans <dje@cygnus.com>
    Douglas Rupp <drupp@cs.washington.edu>
    Fergus Henderson <fjh@cs.mu.oz.au>
    Gran Uddeborg <uddeborg@carmen.se>
    Ian Lance Taylor <ian@cygnus.com>
    Jrn Rennecke <amylaar@meolyon.hanse.de>
    J.T. Conklin <jtc@cygnus.com>
    Jason Merrill <jason@cygnus.com>
    Jan Hubicka <jh@suse.cz>
    Jeffrey A. Law <law@cygnus.com>
    Jim Meyering <meyering@na-net.ornl.gov>
    Jim Wilson <wilson@cygnus.com>
    John F. Carr <jfc@mit.edu>
    Ken Raeburn <raeburn@wombat.gnu.ai.mit.edu>
    Lee Iverson <leei@ai.sri.com>
    Linus Torvalds <torvalds@transmeta.com>
    Michael Gschwind <mike@lanai.vlsivie.tuwien.ac.at>
    Michael Meissner <meissner@cygnus.com>
    Mike Stump <mrs@cygnus.com>
    Niklas Hallqvist <niklas@appli.se>
    Oliver Kellogg <oliver.kellogg@space.otn.dasa.de>
    Pat Rankin <rankin@eql.caltech.edu>
    Paul Eggert <eggert@twinsun.com>
    Per Bothner <bothner@cygnus.com>
    Peter Flass <flass@lbdrscs.bitnet>
    Philippe De Muyter <phdm@info.ucl.ac.be>
    Philipp Thomas <pthomas@suse.de>
    Richard Earnshaw <rearnsha@armltd.co.uk>
    Richard Kenner <kenner@vlsi1.ultra.nyu.edu>
    Richard Stallman <rms@mole.gnu.ai.mit.edu>
    Roland McGrath <roland@churchy.gnu.ai.mit.edu>
    Stan Cox <coxs@dg-rtp.dg.com>
    Stephen L Moshier <moshier@world.std.com>
    Ted Lemon <mellon@toccata.fugue.com>
    Tom Quiggle <quiggle@lovelace.engr.sgi.com>
    Torbjorn Granlund <tege@cygnus.com>
    Uwe Seimet <seimet@chemie.uni-kl.de>

SuSE series: d

%package -n gpp
Requires: libgpp
Summary:      GNU C++ Compiler
Group:        Development
Requires:     c_compiler
Autoreqprov:  on

%description -n gpp
This package contains the GNU compiler for C++. Please note that it does
not yet fully comply with the ISO C++ standard. You may find the source
code for gpp in the package gcc, series zq.

SuSE series: d

%package -n libgpp
Summary:      C++-libraries
Group:        Development
Autoreqprov:  on

%description -n libgpp
This package contains two libraries, libg++ and libstdc++, and their
respective headers.
Libg++ is the original C++ class library of the GNU project and came into
life long before thre C++ library was standardised. Because of this it
should not be used for new projects. It's only included for older packages
that might need it.
Libstdc++ ist the current C++ library of the GNU C++ compiler. While it is
much closer to the standard, it is far from being complete.
You will find the source code in the package gcc, series zq.

SuSE series: d

%package -n gppshare
Summary:      C++ shared libraries
Group:        Development
Autoreqprov:  on

%description -n gppshare
Needed for dynamically linked C++ programs.

Authors:
--------
    H.J. Lu <hjl@nynexst.com>
    Per Bothner <bothner@cygnus.com>

SuSE series: a

%package -n g77
Summary:      GNU Fortran Compiler
Group:        Development
Requires:     c_compiler
Autoreqprov:  on

%description -n g77
This version of the GNU Fortran compiler needs gcc 2.95.2. The
binaries of the C compiler must be under
/usr/lib/gcc-lib/.../2.95.2

Authors:
--------
    James Craig Burley <burley@gnu.ai.mit.edu>

SuSE series: d

%package -n gccinfo
Summary:      GNU info-pages for gcc
Group:        Development
Autoreqprov:  on

%description -n gccinfo
GNU info-pages for gcc

SuSE series: doc

%package -n gppinfo
Summary:      Documentation for libg++
Group:        Development
Autoreqprov:  on

%description -n gppinfo
Documentation for libg++

SuSE series: doc

%package -n gobjc
Summary:      GNU objective C Compiler
Group:        Development
Requires:     c_compiler
Autoreqprov:  on

%description -n gobjc
This package contains the GNU Objective C compiler. Objective C is an
object oriented language, created by Next Inc and used in their Nextstep
OS. The source code is available in the package gcc, series zq.

SuSE series: d

%package -n cpp
Conflicts:    gcc_o
Summary:      The GCC Preprocessor
Group:        Development
Provides:     minigcc gcc:/lib/cpp
Obsoletes:    minigcc
Autoreqprov:  on

%description -n cpp
This Package contains just the Preprocessor which is used
by the XFree86 packages.

SuSE series: d

%ifnarch s390
%package -n gpc
Requires: gcc
Summary:      GNU Pascal Compiler
Group:        Development
Autoreqprov:  on

%description -n gpc
GNU-Pascal is the Pascal compiler of the GNU compiler family.
The current version gpc-19991030 is compatible to Standard Pascal
(ISO-7185, Level 1) as well as Borland Pascal (V 7.0),
implements most of Extended Pascal (ISO-10206) and other dialects,
among them operator-definitions according to Pascal-SC (PXSC).
Portable versions of the Borland-Standard-Units (CRT, DOS, Printer, ...)
as well as GNU-standard-units (Pipe, GetOpt, RegEx, GMP, ...) are included.
For license reasons the Unit Graph is still in a separate source package GRX.
Documentation in the GNU-info-format is available via `info -f gpc'.
Demo-Programs can be found in /usr/share/doc/packages/gpc/demos/.
GNU-Pascal is being actively developped. Recent information can be retrieved
from the WWW at http://home.pages.de/~GNU-Pascal/.

Authors:
--------
    Jukka Virtanen <jtv@hut.fi>
    Peter Gerwinski <peter.gerwinski@uni-essen.de>

SuSE series: d

%package -n gjava
Requires: gcc
Summary:      The GNU Java Compiler
Group:        Development
Autoreqprov:  on

%description -n gjava
The java compiler from the GCC-tools-suite.

SuSE series: d

%endif
%define GCCDIST %(echo %{_target_cpu}|sed -e "s/i.86/i486/" -e "s/ppc/powerpc/")-suse-linux
%prep
%setup -n gcc-2.95.3 -a 1 -a 2 -a 390
# unpack the testsuite and move it to its correct place
# %setup -n gcc-2.95.3 -T -D -a 8
# mv gcc-20010205/gcc/testsuite gcc/
# rm -r gcc-20010205
# the texinfo(1)-sources are included in the gcc-distribution.  we
# don't need it here:
rm -rf texinfo
# integrate libg++ and gpc sources into gcc build tree:
mv libg++-2.8.1.3/* .
mv gpc-%{gpc_version}/p gcc
rmdir libg++-2.8.1.3 gpc-%{gpc_version}
%patch
# %patch1 -p1
%patch2 -p1
%patch3
%patch4
# %patch7
%ifarch ppc
%endif
# %patch8
%patch9
%patch10
cd gcc; patch -p1 --input=p/diffs/gcc-2.95.2.diff
%patch5 -p1
cd ..
%ifarch s390 s390x
sed 's/VENDOR=ibm/VENDOR=suse/;s/-ibm-linux/-suse-linux/' \
	gcc-2.95.3-s390.diff | patch -p1
%patch390 -p1
%endif
%patch16
# we already use the cvs
%ifnarch ppc
%patch14 -p1
%patch20
%patch21
%patch22
%patch25
%patch26 -p1
%patch27 -p1
%endif
%ifarch ppc
#%patch23
#%patch24
# update to current cvs...
%patch50 -p1
# use franzos latest
%patch51
# modify the version.c
%patch52
%endif

%build
# Mimic gcc/Makefile.in behaviour to avoid rebuilding while make bootstrap
(cd gcc;autoheader;touch config.in;touch cstamp-h.in;autoconf)
rm -rf obj-%{GCCDIST}
mkdir obj-%{GCCDIST}
cd obj-%{GCCDIST}
%ifarch s390
BuildLanguages=--enable-languages="c,c++,objc,f77"
%endif
# Use --host/--target and --build for autoconf 2.5x lossage
CFLAGS=$RPM_OPT_FLAGS CXXFLAGS="$RPM_OPT_FLAGS" XCFLAGS="$RPM_OPT_FLAGS" \
        TCFLAGS="$RPM_OPT_FLAGS" ../configure --enable-threads=posix \
        --enable-shared --disable-checking $BuildLanguages \
        --prefix=%{_prefix} --with-local-prefix=/usr/local \
        --infodir=%{_infodir} --mandir=%{_mandir} \
        --with-gxx-include-dir=%{_prefix}/include/g++ \
        --host=%{GCCDIST} --target=%{GCCDIST} --build=%{GCCDIST}
make bootstrap
make info
# make -k check
# ../contrib/test_summary

%install
rm -rf $RPM_BUILD_ROOT
cd obj-%{GCCDIST}
mkdir -p $RPM_BUILD_ROOT%{_infodir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
make install install-info prefix=$RPM_BUILD_ROOT%{_prefix} \
	mandir=$RPM_BUILD_ROOT%{_mandir} \
	infodir=$RPM_BUILD_ROOT%{_infodir} \
	gxx_include_dir=$RPM_BUILD_ROOT%{_prefix}/include/g++
ln -sf gcc $RPM_BUILD_ROOT%{_prefix}/bin/cc
ln -sf g++  $RPM_BUILD_ROOT%{_prefix}/bin/c++
ln -sf g77  $RPM_BUILD_ROOT%{_prefix}/bin/f77
mkdir -p $RPM_BUILD_ROOT/lib
ln -sf %{_prefix}/bin/cpp  $RPM_BUILD_ROOT/lib/cpp
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
echo ".so man1/cccp.1" >  $RPM_BUILD_ROOT%{_mandir}/man1/cpp.1
mkdir -p $RPM_BUILD_ROOT%{_docdir}/gcc
cp $RPM_SOURCE_DIR/README.SuSE $RPM_BUILD_ROOT%{_docdir}/gcc/
install %{S:391} $RPM_BUILD_ROOT$RPM_DOC_DIR/gcc

%files
%{_prefix}/bin/c++filt
%{_prefix}/bin/protoize
%{_prefix}/bin/unprotoize
%{_prefix}/bin/gcov
%{_prefix}/bin/gcc
%{_prefix}/bin/cc
%{_prefix}/lib/gcc-lib/%{GCCDIST}/%{version}/SYSCALLS.c.X
%{_prefix}/lib/gcc-lib/%{GCCDIST}/%{version}/cc1
%{_prefix}/lib/gcc-lib/%{GCCDIST}/%{version}/collect2
%{_prefix}/lib/gcc-lib/%{GCCDIST}/%{version}/crt*.o
%{_prefix}/lib/gcc-lib/%{GCCDIST}/%{version}/include/*.h
%{_prefix}/lib/gcc-lib/%{GCCDIST}/%{version}/include/typeinfo
%{_prefix}/lib/gcc-lib/%{GCCDIST}/%{version}/include/exception
%{_prefix}/lib/gcc-lib/%{GCCDIST}/%{version}/include/new
%{_prefix}/lib/gcc-lib/%{GCCDIST}/%{version}/include/README
%{_prefix}/lib/gcc-lib/%{GCCDIST}/%{version}/libgcc.a
%{_prefix}/lib/gcc-lib/%{GCCDIST}/%{version}/specs
%doc %{_mandir}/man1/cccp.1.gz
%doc %{_mandir}/man1/gcc.1.gz
%doc %{_mandir}/man1/cpp.1.gz

%files -n gpp
%{_prefix}/bin/c++
%{_prefix}/bin/g++
%doc %{_mandir}/man1/g++.1.gz
%{_prefix}/lib/gcc-lib/%{GCCDIST}/%{version}/cc1plus

%files -n libgpp
%{_prefix}/include/g++
%{_prefix}/lib/gcc-lib/%{GCCDIST}/%{version}/libstdc++.a
%{_prefix}/lib/gcc-lib/%{GCCDIST}/%{version}/libstdc++.so
%{_prefix}/lib/gcc-lib/%{GCCDIST}/%{version}/libg++.a
%{_prefix}/lib/gcc-lib/%{GCCDIST}/%{version}/libg++.so

%files -n gppshare
%{_prefix}/lib/libg++-3-libc6.?-2-2.8.1.3.a
%{_prefix}/lib/libg++-3-libc6.?-2-2.8.1.3.so
%{_prefix}/lib/libg++-libc6.?-2.a.3
%{_prefix}/lib/libg++-libc6.?-2.so.3
%{_prefix}/lib/libstdc++-libc6.?-2.a.3
%{_prefix}/lib/libstdc++-3-libc6.?-2-2.10.0.a
%{_prefix}/lib/libstdc++-3-libc6.?-2-2.10.0.so
%{_prefix}/lib/libstdc++-libc6.?-2.so.3
# %files -n gccmesg
# /usr/share/locale/*/LC_MESSAGES/gcc.mo

%files -n g77
%doc gcc/f/README gcc/f/BUGS gcc/f/NEWS
%{_prefix}/bin/g77
%{_prefix}/bin/f77
%{_prefix}/lib/gcc-lib/%{GCCDIST}/%{version}/f771
%{_prefix}/lib/gcc-lib/%{GCCDIST}/%{version}/libg2c.a
%doc %{_infodir}/g77.info*
%doc %{_mandir}/man1/g77.1.gz

%files -n gccinfo
%doc %{_infodir}/cpp.info*
%doc %{_infodir}/gcc.info*

%files -n gppinfo
%doc %{_infodir}/iostream.info*.gz
%doc %{_infodir}/libg++.info*gz

%files -n gobjc
%{_prefix}/lib/gcc-lib/%{GCCDIST}/%{version}/include/objc
%{_prefix}/lib/gcc-lib/%{GCCDIST}/%{version}/cc1obj
%{_prefix}/lib/gcc-lib/%{GCCDIST}/%{version}/libobjc.a

%files -n cpp
/lib/cpp
%{_prefix}/bin/cpp
%{_prefix}/lib/gcc-lib/%{GCCDIST}/%{version}/cpp0
%ifnarch s390

%files -n gpc
%doc gcc/p/README
%doc gcc/p/COPYING
%doc gcc/p/ChangeLog
%doc gcc/p/FAQ
%doc gcc/p/INSTALL
%doc gcc/p/test
%doc gcc/p/demos
%{_prefix}/bin/gpc
%doc %{_infodir}/gpc.info*
%doc %{_mandir}/man1/gpc.1.gz
%{_prefix}/lib/gcc-lib/%{GCCDIST}/%{version}/gpc1
%{_prefix}/lib/gcc-lib/%{GCCDIST}/%{version}/libgpc.a
%{_prefix}/lib/gcc-lib/%{GCCDIST}/%{version}/units
%{_prefix}/lib/gcc-lib/%{GCCDIST}/%{version}/gpcpp

%files -n gjava
%{_prefix}/bin/gcj
%{_prefix}/bin/gcjh
%{_prefix}/bin/jcf-dump
%{_prefix}/bin/jv-scan
%{_prefix}/lib/gcc-lib/%{GCCDIST}/%{version}/jc1
%{_prefix}/lib/gcc-lib/%{GCCDIST}/%{version}/jvgenmain
%endif

%changelog -n gcc
* Thu Sep 13 2001 - froh@suse.de
- S390: added gcc-2.95.3-s390-1.diff, which addresses these problems:
- Bad prolog code with -mno-backchain option.
- Bug in compiler common code (cse).
- Wrong type definitions in the Fortran frontend for 64-bit.
- S390: integrated 2.4.7-based codedrop, which fixes some compiler problems
  including one fix which is necessary to compile kernel 2.4.7
  correctly.
* Mon Sep 10 2001 - ro@suse.de
- added gpcpp to gpc filelist
* Sun Sep 09 2001 - olh@suse.de
- remove old compatibility cruft for ppc
  gcc-2.95.2-rs6000.diff replaces elf32ppclinux with elf32ppc
  that is not needed anymore
* Tue Aug 28 2001 - garloff@suse.de
- Bump limit up to 2000 to only change the inlining for very
  extreme cases (bugfix) to prevent too excessive compilation
  times.
* Fri Aug 24 2001 - garloff@suse.de
- Fine tune INTEGRATE_THRESHOLD (used for the functions not
  declared inline functions with -O1,-O2, another limit for -Os):
-Os should actually produce smaller binaries now by doing a bit
  more inlining.
* Fri Aug 24 2001 - garloff@suse.de
- Finetuning of the last changes: Change inlining limit to 400 and
  give leaf functiosn a bonus of a factor of two.
  User may fine tune with -finline-limit.
- Document this in README.SuSE.
* Thu Aug 23 2001 - garloff@suse.de
- Patch to drastically limit default max size of inlined functions,
  but give bonus to leaf functions.
  => Drastically reduced compile times at about the same runtime
  at about the same runtime performance and moderately smaller
  executables.
  => No consumption of excessive resources any more for heavily
  inlined code.
* Wed Aug 08 2001 - aj@suse.de
- Add dso_handle to crtbeginS.o so that atexit in glibc works.
* Tue Jul 24 2001 - bk@suse.de
- added s390-CONST_COST.diff, fixes two internal compiler errors
* Mon Jul 16 2001 - bk@suse.de
- added s390-scanner.patch, fixes code generation for large functions
* Thu Jul 05 2001 - bk@suse.de
- updated s390/s390x patch to 2.95.3 patch
* Sat Jun 23 2001 - olh@suse.de
- update ppc to latest cvs + fsirl patches
* Wed Jun 20 2001 - aj@suse.de
- Add patch for regmove bug.
* Thu Apr 05 2001 - froh@suse.de
- updated gcc s390 patches
* Mon Apr 02 2001 - kukuk@suse.de
- Remove kernel_headers from requires
* Fri Mar 23 2001 - kukuk@suse.de
- Add split Alias
* Fri Mar 23 2001 - ro@suse.de
- removed c_preprocessor provides (obsolete now since we have cpp)
* Fri Mar 23 2001 - ro@suse.de
- re-enabled objc,f77 for s390
* Thu Mar 22 2001 - kukuk@suse.de
- Add PPC patches from 2.95.2
* Wed Mar 21 2001 - kukuk@suse.de
- Add gcc-2.95.4-1 from Franz Sirl for PPC
* Mon Mar 19 2001 - aj@suse.de
- Fix handling of weak symbols.
- Remove old crtstuff that leads to problems in glibc.
* Mon Mar 19 2001 - kukuk@suse.de
- Rename minigcc -> cpp
- Remove cpp files from gcc
- Add requires for cpp to gcc
* Mon Mar 19 2001 - pthomas@suse.de
- Replace (release) in version string by (SuSE) as
  requested by the 2.95.3 release manager to make
  it clear that we use additional patches.
* Sat Mar 17 2001 - pthomas@suse.de
- Update gcc to 2.95.3 release
- Update gpc to current snapshot
* Fri Mar 16 2001 - pthomas@suse.de
- Update to test5.
* Sat Mar 10 2001 - kukuk@suse.de
- Update to test4
* Sat Mar 10 2001 - kukuk@suse.de
- Add fix for SPARC
* Mon Feb 12 2001 - pthomas@suse.de
- Use 2.95.3.test3 until 2.95.3 is out.
- i18n support is disabled, so gccmesg won't be built.
- Undo patch to reload1.c for s390 as code changed in 2.95.3.
- Enable g77 and gobjc for s390.
- Get rid of diffs not needed anymore.
- Break out unrelated patch for gcc/config/rs6000.h from
  gcc-2.95.2.dif.
- Rename gcc-2.95.2.dif to gcc-2.95.2-complex.dif
* Mon Nov 27 2000 - aj@suse.de
- Add reload.diff to fix problem on x86 reported on linux-kernel.
* Fri Nov 17 2000 - kukuk@suse.de
- Fix requires for libc/glibc-devel
* Tue Nov 14 2000 - aj@suse.de
- specfile-fixes: alpha-extra patch now listed, typo fixed
* Mon Nov 13 2000 - aj@suse.de
- Added s390 patches and some alpha patches.
- Reworked spec file (thanks Thorsten!)
* Tue Sep 26 2000 - ro@suse.de
- fixed gppshare filelist
* Mon Sep 25 2000 - kukuk@suse.de
- Add patch for glibc 2.2/libio
* Thu Sep 21 2000 - ro@suse.de
- cut down gcc-extension diff (regenerate bison files automatically)
* Thu May 25 2000 - pthomas@suse.de
- add patch to stop gcc from warning when doing arithmetic on
  void pointers inside __extension__ blocks.
- build with --enable-nls
- new sub package gccmesg for message catalogs
* Fri May 19 2000 - bk@suse.de
- only compile gcc, gpp, libs and docs on s390
- add small s390 fix
* Fri Apr 07 2000 - bk@suse.de
- added s390 fixes
* Sat Apr 01 2000 - bk@suse.de
- added s390 diff(only ifarch s390)
* Thu Mar 30 2000 - ro@suse.de
- changed main source to bz2-archive
- added hack to crtbegin.asm for alpha
* Wed Mar 22 2000 - ro@suse.de
- rebuilt ppc-diff
* Tue Mar 21 2000 - ro@suse.de
- disabled rerun-cse-after-loop for cc1plus on alpha
* Wed Mar 15 2000 - ro@suse.de
- updated cvs-diff to 2000/3/15
* Tue Mar 14 2000 - ro@suse.de
- removed requires libobjc (never really necessary, package deleted)
* Wed Mar 01 2000 - ro@suse.de
- fix GCCDIST macro
* Thu Feb 24 2000 - ro@suse.de
- added gjava
* Wed Feb 23 2000 - ro@suse.de
- updated cvs-diff
* Mon Feb 07 2000 - ro@suse.de
- split last fixes into own diffs
- updated cvs-diff (includes fix for int_mode_for_mode)
* Mon Feb 07 2000 - ro@suse.de
- added fix for Patch from mmitchel from mmitchel (99/9/19)
* Thu Feb 03 2000 - ro@suse.de
- added patches: accept "::" for c++ inside asm-statements
  (Ulrich Drepper 2000/1/30)
  fix for "scan_region" in c++-exception handling
  (Mark Mitchell, 99/9/19)
  fix for "int_mode_for_mode"
  (Richard Henderson, 99/11/3)
* Wed Jan 26 2000 - ro@suse.de
- fixed specfile: new tar behaves different
* Wed Jan 26 2000 - ro@suse.de
- remove g++-info from filelist, can't seem to get it installed
* Wed Jan 26 2000 - ro@suse.de
- force install of libg++ info
* Tue Jan 25 2000 - ro@suse.de
- specfile fix: create directories
* Sat Jan 22 2000 - aj@suse.de
- Pascal now works for alpha.
* Thu Jan 20 2000 - aj@suse.de
- Added powerpc patch which adds __register_frame_info.
* Thu Jan 20 2000 - aj@suse.de
- Fixed spec file:  Added libg++ to gppshare.
* Wed Jan 19 2000 - aj@suse.de
- Renamed gcc_295 to gcc, added support for all packages.
* Wed Jan 12 2000 - kukuk@suse.de
- Fix need for build
* Tue Jan 11 2000 - kukuk@suse.de
- Add patches from CVS and for AXP/glibc
* Wed Dec 15 1999 - uli@suse.de
- fixed gcc/config/rs6000/linux.h (elf32ppclinux -> elf32ppc)
* Thu Nov 11 1999 - schwab@suse.de
- Install g++ headers in correct place
- Add them to file list
- Remove libiberty.a from file list
* Thu Oct 28 1999 - kukuk@suse.de
- New version for internal development/testing
